/*
 * Theme Name:  Nakypilo Shop
 * Theme URI:   https://nakypilo.ua
 * Description: Nakypilo Shop (Blueprint Child Theme)
 * Author:      Nakypilo IT Team
 * Author URI:  https://nakypilo.ua
 * Template:    blueprint
 * Version:     1.0.0
 */

html {
    font-size: 18px;
}

.cs-posts-area__main {
	--cs-font-headings-size: 1.55rem;
}

.cs-entry__header-info .cs-entry__title {
	font-size: 1.55rem;
}
@media (min-width: 720px) {
	.cs-entry__header-info .cs-entry__title {
		font-size: 1.8rem;
	}
}
@media (min-width: 1020px) {
	.cs-entry__header-info .cs-entry__title {
		font-size: 2rem;
	}
}
@media (min-width: 1200px) {
	.cs-entry__header-info .cs-entry__title {
		font-size: 2.45rem;
	}
}

body.home .cs-site-content {
    margin-top: 0;
}

.wp-social-link {
	border-radius: var(--cs-button-border-radius);
}

/* HEADER */

.cs-header__nav-inner > li > a > span:first-child:before {
	display: none;
}

.cs-header__nav-inner > li.menu-item-has-children > a:after {
	transform: none;
}

@media (min-width: 1200px) {
	.cs-header__cta {
        display: flex;
    }
}

.cs-header__scheme-toggle-element {
	display: none;
}

.cs-header__scheme-toggle-icon.cs-icon-sun {
	display: none;
}

[data-site-scheme=dark] .cs-header__scheme-toggle-icon.cs-icon-sun {
	display: block;
}

[data-site-scheme=dark] .cs-header__scheme-toggle-icon.cs-icon-moon {
	display: none;
}

.cs-header__scheme-toggle .cs-icon {
	transition: 0.25s;
}

.cs-header__scheme-toggle:hover .cs-icon {
    color: var(--cs-color-secondary);
}

@media (min-width: 1778px) {
    .cs-container {
        max-width: 1432px;
    }
	.cs-header__nav-inner > li:not(:first-child) {
        margin-left: 1rem;
    }
}

/* FOOTER */

.cs-footer__info > :last-child {
	margin-bottom: 0;
}

.cs-footer__col:not(:first-child) {
	margin-top: 0;
}

.cs-footer__nav {
	grid-gap: 0;
}

.cs-footer__nav-label {
	display: none;
}

.cs-footer__nav-inner {
	margin-top: 1rem;
}

.cs-footer__nav-inner li {
	margin: 0 0.25rem;
}

.cs-footer__col.cs-col-right {
	display: none;
}

@media (min-width: 1020px) {
	.cs-footer__nav {
		grid-gap: 48px;
	}
	.cs-footer__nav-inner {
		margin-top: 90px;
	}
    .cs-footer__nav-inner li {
		margin: 0;
	}
}

@media (min-width: 1778px) {	
	.cs-footer__col.cs-col-left {
        padding-right: 24px;
        max-width: 336px;
    }
	.cs-footer__col.cs-col-right {
        padding-left: 24px;
        max-width: 336px;
    }
}

.cs-footer__bottom {
	background-color: var(--cs-color-footer-background);
	padding-top: 0;
}

/* MOBILE MENU */

.cs-offcanvas__sidebar .widget_nav_menu .menu > .menu-item:not(:first-child) {
	border-top: none;
}

body.cs-offcanvas-active #page {
	filter: blur(10px);
}

/* WOOCOMMERCE */

.cs-header__cart .cs-header__cart-quantity {
	background-color: transparent;
	color: var(--cs-color-primary);
}

.woocommerce-breadcrumb,
.woocommerce .product_meta .posted_in,
body.woocommerce-cart .wp-block-woocommerce-cart-order-summary-shipping-block,
body.woocommerce-checkout .wc-block-components-shipping-address,
.wc-block-components-totals-shipping .wc-block-components-totals-item__value {
	display: none;
}

[data-site-scheme=dark].woocommerce div.product form.cart .variations select {
	background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgc3Ryb2tlPSJibGFjayIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiIGNsYXNzPSJmZWF0aGVyIGZlYXRoZXItY2hldnJvbi1kb3duIj48cG9seWxpbmUgcG9pbnRzPSI2IDkgMTIgMTUgMTggOSIgc3Ryb2tlPSIjZmZmIj48L3BvbHlsaW5lPjwvc3ZnPg==);
	background-repeat: no-repeat;
}

.woocommerce-page select option {
	color: initial;
}

body.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-shipping-block {
	margin-top: 16px;
    border-top: 1px solid hsla(0, 0%, 7%, .11);
}

body.woocommerce-cart .is-large.wc-block-cart .wc-block-cart-items__header-image,
body.woocommerce-cart .is-large.wc-block-cart .wp-block-woocommerce-cart-order-summary-heading-block {
	padding: 8px 16px;
}

body.woocommerce-cart .is-large.wc-block-cart .wp-block-woocommerce-cart-order-summary-heading-block {
	line-height: var(--cs-font-headings-line-height);
}

body.woocommerce-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__total,
body.woocommerce-cart .wc-block-components-totals-coupon,
body.woocommerce-cart .wc-block-components-totals-item {
	line-height: 1.4;
}

body.woocommerce-cart .is-large.wc-block-cart .wc-block-cart-items td {
	padding: 16px 0 16px 16px;
}
body.woocommerce-cart .is-large.wc-block-cart .wc-block-cart-items td:last-child {
	padding-right: 16px;
}

body .wc-block-cart__submit-button {
	font-family: var(--cs-font-primary-family), sans-serif;
    font-size: var(--cs-font-primary-size);
    font-weight: var(--cs-font-primary-weight);
    font-style: var(--cs-font-primary-style);
    letter-spacing: var(--cs-font-primary-letter-spacing);
    text-transform: var(--cs-font-primary-text-transform);
	border-radius: var(--cs-button-border-radius);
    background-color: var(--cs-color-button);
    color: var(--cs-color-button-contrast);
	padding: 1rem 1.25rem;
	transition: 0.25s;
}
body .wc-block-cart__submit-button:hover {
    background-color: var(--cs-color-button-hover);
    color: var(--cs-color-button-hover-contrast);
}
body .wc-block-components-checkout-place-order-button:not(.is-link) {
	transition: 0.25s;
}

body .wc-block-components-form .wc-block-components-text-input input[type=email],
body .wc-block-components-form .wc-block-components-text-input input[type=number],
body .wc-block-components-form .wc-block-components-text-input input[type=password],
body .wc-block-components-form .wc-block-components-text-input input[type=tel],
body .wc-block-components-form .wc-block-components-text-input input[type=text],
body .wc-block-components-form .wc-block-components-text-input input[type=url],
body .wc-block-components-text-input input[type=email],
body .wc-block-components-text-input input[type=number],
body .wc-block-components-text-input input[type=password],
body .wc-block-components-text-input input[type=tel],
body .wc-block-components-text-input input[type=text],
body .wc-block-components-text-input input[type=url],
body .wc-block-components-textarea,
body .wc-blocks-components-select .wc-blocks-components-select__select,
body .wc-block-components-form .wc-block-components-text-input input[type=email]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=number]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=password]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=tel]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=text]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=url]:focus,
body .wc-block-components-text-input input[type=email]:focus,
body .wc-block-components-text-input input[type=number]:focus,
body .wc-block-components-text-input input[type=password]:focus,
body .wc-block-components-text-input input[type=tel]:focus,
body .wc-block-components-text-input input[type=text]:focus,
body .wc-block-components-text-input input[type=url]:focus,
body .wc-block-components-textarea:focus,
body .wc-block-checkout__add-note .wc-block-components-textarea:focus {
    color: var(--cs-color-primary);
    background-color: var(--cs-color-primary-contrast);
    border: 1px solid var(--cs-color-contrast-200);
    border-radius: var(--cs-input-border-radius);
    font-family: var(--cs-font-input-family), sans-serif;
	box-shadow: none;
}

body .wc-block-components-form .wc-block-components-text-input input[type=email]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=number]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=password]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=tel]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=text]:focus,
body .wc-block-components-form .wc-block-components-text-input input[type=url]:focus,
body .wc-block-components-text-input input[type=email]:focus,
body .wc-block-components-text-input input[type=number]:focus,
body .wc-block-components-text-input input[type=password]:focus,
body .wc-block-components-text-input input[type=tel]:focus,
body .wc-block-components-text-input input[type=text]:focus,
body .wc-block-components-text-input input[type=url]:focus,
body .wc-block-components-textarea:focus,
body .wc-block-checkout__add-note .wc-block-components-textarea:focus,
body .wc-blocks-components-select .wc-blocks-components-select__select:focus {
	border: 1px solid currentColor;
}

[data-site-scheme=dark] .wc-block-components-form .wc-block-components-text-input label,
[data-site-scheme=dark] .wc-block-components-text-input label,
[data-site-scheme=dark] .wc-blocks-components-select .wc-blocks-components-select__label {
	color: hsla(0, 0%, 93%, .7);
}

[data-site-scheme=dark] .wc-blocks-components-select .wc-blocks-components-select__expand {
	fill: hsla(0, 0%, 93%, .7);
}

[data-site-scheme=dark] .wc-block-components-address-card,
[data-site-scheme=dark] .is-large.wc-block-cart .wc-block-cart-items,
[data-site-scheme=dark] .wp-block-woocommerce-cart-order-summary-totals-block,
[data-site-scheme=dark] .wp-block-woocommerce-checkout-order-summary-block,
[data-site-scheme=dark] .wc-block-components-totals-wrapper,
[data-site-scheme=dark] .wp-block-woocommerce-checkout-order-summary-totals-block,
body[data-site-scheme=dark].woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-shipping-block {
	border-color: hsla(0, 0%, 93%, .11);;
}

body.woocommerce-cart .wp-block-woocommerce-cart-order-summary-coupon-form-block {
	border-top: 2px solid var(--cs-color-contrast-200);
}

form.woocommerce-checkout {
	display: flex;
}

.woocommerce-checkout #customer_details {
	display: flex;
    flex-direction: column;
    width: 65%;
	padding-right: 4.5283018868%;
}

.woocommerce-checkout #customer_details .col-1,
.woocommerce-checkout #customer_details .col-2 {
	float: unset;
	width: 100%;
}

.woocommerce-checkout:not(.woocommerce-order-pay) #order_review_heading {
	display: none;
}

.woocommerce-checkout:not(.woocommerce-order-pay) #order_review {
	position: sticky;
    top: 24px;
    align-self: flex-start;
    padding-left: 2.2641509434%;
    width: 35%;
}

.woocommerce-checkout #billing_country_field {
	display: none;
}

.woocommerce-checkout .woocommerce-checkout input.input-text,
body.woocommerce-checkout .woocommerce-checkout select,
.woocommerce-checkout .woocommerce-checkout textarea.input-text {
	line-height: var(--cs-font-input-line-height);
	color: var(--cs-color-primary);
	background-color: var(--cs-color-primary-contrast);
	border: 1px solid var(--cs-color-contrast-200);
	box-shadow: none;
	padding: 0.375rem 1rem;
	border-radius: var(--cs-input-border-radius);
	font-family: var(--cs-font-input-family), sans-serif;
	font-size: var(--cs-font-input-size);
	font-weight: var(--cs-font-input-weight);
	font-style: var(--cs-font-input-style);
	letter-spacing: var(--cs-font-input-letter-spacing);
	text-transform: var(--cs-font-input-text-transform);
}

body.woocommerce-checkout .woocommerce-checkout label {
	margin: 0.5rem 0 0.25rem;
	line-height: var(--cs-font-base-line-height);
}

.woocommerce-checkout .wc-block-components-address-card,
.woocommerce-checkout .wc-block-components-notice-banner.is-warning, 
.woocommerce-checkout .wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted,
.woocommerce-checkout .wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted {
	background-color: transparent;
	color: var(--cs-color-primary);
	border-radius: var(--cs-layout-elements-border-radius);
}

.woocommerce-checkout .wc-block-components-notice-banner {
	padding: .875rem !important;
}

.woocommerce-checkout .wc-block-components-address-card {
	padding: .875rem;
}
body.woocommerce-checkout .wc-block-checkout__payment-method .wc-block-components-radio-control .wc-block-components-radio-control__option {
	padding: .875rem .875rem .875rem 3.5rem;
}
body.woocommerce-checkout .wc-block-checkout__payment-method .wc-block-components-radio-control.disable-radio-control .wc-block-components-radio-control__option {
	padding: .875rem .875rem .875rem .875rem;
}
.woocommerce-checkout .wc-block-components-radio-control-accordion-content {
	font-size: .875rem;
	padding: 0 .875rem .875rem 3.5rem;
	margin-top: -.5rem;
}
.woocommerce-checkout .wc-block-components-radio-control.disable-radio-control .wc-block-components-radio-control-accordion-content {
	padding: 0 .875rem .875rem .875rem;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block {
	border-radius: var(--cs-layout-elements-border-radius);
}